| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
NPNZ16b_s Struct Reference

`#include <power_control/drivers/npnz16b.h>`

Collaboration diagram for NPNZ16b_s:

## Data Fields
volatile struct NPNZ_STATUS_s | status
| Control Loop Status and Control flags. More...
volatile struct NPNZ_PORTS_s | Ports
| Controller input and output ports. More...
volatile struct NPNZ_FILTER_PARAMS_s | Filter
| Filter parameters such as pointer to history and coefficient arrays and number scaling. More...
volatile struct NPNZ_GAIN_CONTROL_s | GainControl
| Parameter section for advanced control options. More...
volatile struct NPNZ_LIMITS_s | Limits
| Input and output clamping values. More...
volatile struct NPNZ_ADC_TRGCTRL_s | ADCTriggerControl
| Automatic ADC trigger placement options for ADC Trigger A and B. More...
volatile struct NPNZ_DATA_PROVIDERS_s | DataProviders
| Automated data sources pushing recent data points to user-defined variables. More...
volatile struct NPNZ_EXTENSION_HOOKS_s | ExtensionHooks
| User extension function triggers using function pointers with parameters. More...
volatile struct NPNZ_USER_DATA_BUFFER_s | Advanced
| Parameter section for advanced user control options. More...

## Detailed Description

Definition at line 502 of file npnz16b.h.

## Field Documentation

## ◆ ADCTriggerControl

volatile struct NPNZ_ADC_TRGCTRL_s ADCTriggerControl

Automatic ADC trigger placement options for ADC Trigger A and B.

Definition at line 509 of file npnz16b.h.

## ◆ Advanced

volatile struct NPNZ_USER_DATA_BUFFER_s Advanced

Parameter section for advanced user control options.

Definition at line 512 of file npnz16b.h.

## ◆ DataProviders

volatile struct NPNZ_DATA_PROVIDERS_s DataProviders

Automated data sources pushing recent data points to user-defined variables.

Definition at line 510 of file npnz16b.h.

## ◆ ExtensionHooks

volatile struct NPNZ_EXTENSION_HOOKS_s ExtensionHooks

User extension function triggers using function pointers with parameters.

Definition at line 511 of file npnz16b.h.

## ◆ Filter

volatile struct NPNZ_FILTER_PARAMS_s Filter

Filter parameters such as pointer to history and coefficient arrays and number scaling.

Definition at line 506 of file npnz16b.h.

## ◆ GainControl

volatile struct NPNZ_GAIN_CONTROL_s GainControl

Parameter section for advanced control options.

Definition at line 507 of file npnz16b.h.

## ◆ Limits

volatile struct NPNZ_LIMITS_s Limits

Input and output clamping values.

Definition at line 508 of file npnz16b.h.

## ◆ Ports

volatile struct NPNZ_PORTS_s Ports

Controller input and output ports.

Definition at line 505 of file npnz16b.h.

## ◆ status

volatile struct NPNZ_STATUS_s status

Control Loop Status and Control flags.

Definition at line 504 of file npnz16b.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/drivers/npnz16b.h